/*

lcdtime: time status functions
Copyleft 1997 Andrew J. Kroll (ag784@freenet.buffalo.edu)

*/

#include "lcd.h"

void drawclock(int fd, int pass)
{

	time_t t;
	char tms[31],ln[10];
	int spot;

	/* do time */
	time (&t);
	strcpy(tms, ctime(&t));
	strcpy(ln, "     ");
	ln[0]=tms[11];
	ln[1]=tms[12];
	ln[3]=tms[14];
	ln[4]=tms[15];
	if(pass > 9) ln[2]=':'; /* colon flash */
	spot=( te_time[pass][1] * 64) + te_time[pass][0];	
	lcd_pos(fd, (spot & 0xff));
	lcd_write(fd, ln);
}
